%bcond_without gtk4

Summary:   NetworkManager VPN plugin for PPTP
Name:      NetworkManager-pptp
Version:   1.2.12
Release:    1%{?dist}
License:   GPLv2+
URL:       http://www.gnome.org/projects/NetworkManager/

Source0:   https://download.gnome.org/sources/NetworkManager-pptp/1.2/%{name}-%{version}.tar.xz

%global ppp_version %(pkg-config --modversion pppd 2>/dev/null || echo bad)

BuildRequires: make
BuildRequires: glib2-devel
BuildRequires: gtk3-devel
BuildRequires: NetworkManager-libnm-devel >= 1.2.0
BuildRequires: libnma-devel >= 1.2.0
BuildRequires: pkgconfig
BuildRequires: ppp-devel >= 2.5.0
BuildRequires: libtool intltool gettext
BuildRequires: libsecret-devel
%if %with gtk4
BuildRequires: libnma-gtk4-devel
%endif

Requires: dbus-common
Requires: NetworkManager >= 1.2.0
Requires: pptp
Requires: ppp = %{ppp_version}


%global __provides_exclude ^libnm-.*\\.so

%description
This package contains software for integrating VPN capabilities with
the PPTP server with NetworkManager.


%package -n NetworkManager-pptp-gnome
Summary: NetworkManager VPN plugin for PPTP - GNOME files

Requires: %{name} = %{version}-%{release}

%description -n NetworkManager-pptp-gnome
This package contains software for integrating VPN capabilities with
the PPTP server with NetworkManager (GNOME files).


%prep
%autosetup -p1


%build
%configure \
	--disable-static \
%if %with gtk4
	--with-gtk4 \
%endif
	--enable-more-warnings=yes \
	--with-pppd-plugin-dir=%{_libdir}/pppd/%{ppp_version} \
	--with-dist-version=%{version}-%{release}
make %{?_smp_mflags}


%check
make check


%install
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

rm -f %{buildroot}%{_libdir}/NetworkManager/lib*.la
rm -f %{buildroot}%{_libdir}/pppd/%{ppp_version}/*.la

%find_lang %{name}


%files -f %{name}.lang
%{_libdir}/NetworkManager/libnm-vpn-plugin-pptp.so
%{_datadir}/dbus-1/system.d/nm-pptp-service.conf
%{_prefix}/lib/NetworkManager/VPN/nm-pptp-service.name
%{_libexecdir}/nm-pptp-service
%{_libdir}/pppd/%{ppp_version}/nm-pptp-pppd-plugin.so
%doc AUTHORS README NEWS
%license COPYING

%files -n NetworkManager-pptp-gnome
%{_libexecdir}/nm-pptp-auth-dialog
%{_libdir}/NetworkManager/libnm-vpn-plugin-pptp-editor.so
%{_metainfodir}/network-manager-pptp.metainfo.xml

%if %with gtk4
%{_libdir}/NetworkManager/libnm-gtk4-vpn-plugin-pptp-editor.so
%endif


%changelog
* Fri Aug 23 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.12-1
- initial build
